Windows Advanced Server-specific

Microsoft Windows graphic

This information is not available

The information you are trying to locate refers to features that are not available in this version of Windows. The information is not present in this documentation set.

Click Back to return to the previous topic.


Getting older programs to run on the Windows Server 2003 family of products

Most programs run properly on products in the Windows Server 2003 family. The exceptions are some older games and other programs that were written specifically for an earlier version of Windows. To run your program on the Windows Server 2003 family of products, try the following:

  1. Run the Program Compatibility Wizard. As an alternative, you can set the compatibility properties manually.
  2. Update your program, drivers, or hardware.

These options are covered in detail below.

The Program Compatibility Wizard

This wizard prompts you to test your program in different modes (environments) and with various settings. For example, if the program was originally designed to run on Windows 95, set the compatibility mode to Windows 95 and try running your program again. If successful, the program will start in that mode each time. The wizard also allows you to try different settings, such as switching the display to 256 colors and the screen resolution to 640 x 480 pixels.

If compatibility problems prevent you from installing a program, run the Program Compatibility Wizard on the setup file for the program. The file may be called Setup.exe or something similar, and is probably located on the Installation disc for the program.

To run the Program Compatibility Wizard

  1. Start the Program Compatibility Wizard.
  2. Follow the instructions in the wizard.

Note

  • To start the Program Compatibility Wizard, click Start, click Run, and then type hcp://system/compatctr/compatmode.htm.

Set the compatibility properties manually

As an alternative to running the Program Compatibility Wizard, you can set the compatibility properties for a program manually. The settings are the same as the options in the Program Compatibility Wizard.

To set the compatibility properties for a program manually

  1. Right-click the program icon on your desktop or the shortcut on the Start menu for the program you want to run, and then click Properties.
  2. Click the Compatibility tab, and change the compatibility settings for your program.

Notes

  • The Compatibility tab is only available for programs installed on your hard drive. Although you can run the Program Compatibility Wizard on programs or setup files on a CD-ROM or floppy disk, your changes will not remain in effect after you close the program.
  • For more information about an option on the Compatibility tab, right-click the option and then click What's This.

Update your program or drivers

If your program does not run correctly after testing it with the Program Compatibility Wizard, check the Web for updates or other fixes, as follows:

  • Check the Web site of the program's manufacturer to see if an update or patch is available.
  • Check Windows Update to see if a fix is available for the program. Click Home on the menu bar of Help and Support Center, then click Windows Update in the right pane.
  • If the program is a game that uses DirectX, ensure that you are using the latest version of DirectX. In addition, check the Web site of the manufacturer of your video card or sound card to see if newer drivers are available for either of them.

Related Topics


Compile Date

Microsoft Windows graphic
Compile Date: 2003-01-02


Configure the Start menu using Group Policy Object Editor

Microsoft Windows graphic

To configure the Start menu using Group Policy Object Editor

  1. Open Microsoft Management Console (MMC).
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Click Group Policy Object Editor, and then click Add.
  4. In Select Group Policy Object, click Browse.
  5. In Browse for a Group Policy Object, select a Group Policy object (GPO) in the appropriate domain, site, or organizational unit—or create a new one, click OK, and then click Finish.
  6. Click Close, and then click OK.
  7. In the console tree, click Start Menu and Taskbar.

    8. Where?

    • Group Policy object name
    • User Configuration
    • Administrative Templates
    • Start Menu and Taskbar
  8. In the details pane, right-click the policy setting that you want, and then click Properties.
  9. Select the options that you want, and then click OK.

Notes

  • XOX
  • XOX


Customizing your computer using Group Policy

Products in the Windows Server 2003 family provide a number of ways to customize your computer. Using items in Control Panel, you can change the way your desktop looks, change the sounds associated with program events, and change the look and speed of your mouse pointer.

Another way to customize your computer is by using Group Policy. In a network domain environment, administrators use Group Policy to customize and configure computers on the network. In an environment where you have one stand-alone computer or several computers joined in a workgroup, you can still use Group Policy to customize your computer.

To open Group Policy

  1. Click Start, and then click Run.
  2. Type gpedit.msc, and then click OK.

When Group Policy opens, you will see two options in Local Computer Policy: Computer Configuration and User Configuration. Computer Configuration allows you to set policies that apply to your computer, regardless of who logs on. User Configuration allows you to set policies that apply to each user who logs on to the computer.

Using Group Policy on your computer

You can customize your desktop environment by enabling or disabling different policy settings. For example, you can remove icons from your desktop, customize the Start menu, and simplify the Control Panel using Group Policy. You can also add scripts that will run on your computer when it starts up or shuts down, and when users log on or log off. You can even configure Internet Explorer.

The following table lists the four main areas in which you can set policies to customize your computer:

For information about setting Group Policies for: | See Administrative Help Templates Help for:
XOX operating system | XOX
Windows Media Player 8 | Windows Media Player 8
Internet Explorer | Internet Explorer
NetMeeting | NetMeeting

Using Group Policy when your computer is joined to a network domain

If your computer is part of a corporate network, it is possible that the network administrator will configure your computer using these features of Group Policy. The Group Policy settings applied by your network administrator take precedence over any of the Group Policy settings you have configured on your computer.

You can find more information about the Group Policy settings that have been applied to your computer in Help and Support Center.

To open Help and Support Center to view policy information

  1. Click Start, and then click Help and Support.
  2. Under Support Tasks, click Tools.
  3. In Tools, click Help and Support Center tools.
  4. In Help and Support Center tools, click Advanced System Information.
  5. In Advanced System Information, click Group Policy settings applied.

Notes

  • For more information about using Group Policy to define policy settings that are applied to computers and computer users, see Group Policy Help.
  • For more information about using Group Policy to define security settings that are applied to computers and computer users, see Local Security Help.
  • You must be an administrator to add Group Policy to a Microsoft Management Console (MMC) and to use Group Policy to customize settings on your computer.


Windows Datacenter Server-specific

Microsoft Windows graphic

This information is not available

The information you are trying to locate refers to features that are not available in this version of Windows. The information is not present in this documentation set.

Click Back to return to the previous topic.


Removing unneeded files

When running an operating system as complex as Windows, you may not always know the significance of all the files on your computer. Sometimes Windows uses files for a specific purpose and then retains them in a folder designated for temporary files. Alternatively, you may have previously installed Windows components that you are no longer using. For a variety of reasons, including running out of space on your hard drive, you may want to reduce the number of files on your disk, or create more free space, if it can be done without harming any of your programs.

Use the Windows Disk Cleanup Wizard to perform all of the following tasks to clear space on your hard disk:

  • Remove temporary Internet files.
  • Remove any downloaded program files (ActiveX controls and Java applets downloaded from the Internet).
  • Empty the Recycle Bin.
  • Remove Windows temporary files.
  • Remove Windows components that you are not using.
  • Remove installed programs that you no longer use.

Note

  • To start Disk Cleanup, click Start, click Run, and then type cleanmgr.


Help for error messages

Windows provides troubleshooting information for some of the more commonly encountered system errors. This troubleshooting information will help you diagnose the problem quickly.

When you click Help in an error message dialog box, you will get the following information:

  • A detailed description of the error.
  • One or more ways in which you can resolve the error.
  • A list of related tools and Help topics that may help you prevent the error from occurring in the future.


Fast User Switching

When multiple users share a computer, logging off and logging on to the computer in order to switch users can become tiresome.

Fast User Switching, a feature of XOX and XOX when it is not joined to a domain, makes it possible for you to quickly switch between users without actually logging off from the computer. Multiple users can share a computer and use it simultaneously, switching back and forth without closing the programs they are running.

For example, suppose you are working on the household budget and you have to leave the computer for a short time. Your child expresses a desire to play a game while you are away. With Fast User Switching, you can leave your financial program running and let your child log on to play the game. When you log back on, you return to the budget without losing your place.

To switch to another user, click Start, click Log Off, click Switch User, and then click the user account you would like to switch to. For more information about switching between users without logging off, click Related Topics.

Important

  • When Fast User Switching is turned on, Serial Keys will not work. Serial Keys is an accessibility feature that provides support so that alternative input devices, such as single switch or puff and sip devices, can be used in place of the computer's standard keyboard or mouse. XOX

Notes

  • Fast User Switching will not appear if it has not been turned on in User Accounts in Control Panel.
  • Fast User Switching is not available on computers that are members of a network domain.
  • Only users with a computer administrator account on a computer can turn on or turn off Fast User Switching.
  • Fast User Switching cannot be turned off while multiple users are logged on to the computer.
  • When Fast User Switching is not turned on, programs shut down when you log off, and the computer runs faster for the next user who logs on. For information about turning on Fast User Switching in User Accounts in Control Panel, click Related Topics.


List of troubleshooters

The following troubleshooters are available in Windows. You can start a troubleshooter by clicking the name in the left column of the table.

Troubleshooter | Identifies and resolves problems related to:
System setup | Installing and setting up Windows.
Startup/Shutdown | Starting and shutting down your computer.
Display | Video cards and video adapters, including your computer screen, outdated or incompatible video drivers, and incorrect settings for your video hardware.
Home networking | Setup, Internet connections, sharing files and printers.
Hardware | Disk drives (including CD-ROM and DVD drives), game controllers, input devices (such as keyboards, mice, cameras, scanners, and infrared devices), network adapters, USB devices, modems, and sound cards. Also see the more specific hardware device troubleshooters below.
Multimedia and games | Games and other multimedia programs, DirectX drivers, USB devices, digital video discs (DVDs), sound, joysticks, and related issues.
Digital Video Discs (DVDs) | DVD drives and decoders.
Input Devices | Keyboards, mouse and trackball devices, cameras, scanners, and infrared devices.
Drives and Network Adapters | Hard discs, floppy discs, CD-ROM and DVD drives, network cards, tape drives, backup programs.
USB | USB connectors and peripherals.
Sound | Sound and sound cards.
Modem | Modem connections, setup, configuration, and detection.
Internet connection sharing | Connecting and logging on to your Internet service provider (ISP).
Internet Explorer | Browsing the Web, downloading files, saving your favorites, using IE toolbars, or printing Web pages.
Outlook Express (Messaging) | Outlook Express and Windows Messenger Service.
File and Print Sharing | Sharing files and printers between computers, connecting to other computers in a network, installing network adapters, logging on.
Printing | Printer installation and connection, printer drivers, print quality, printer speed, and fonts.


Using troubleshooters

Troubleshooters help you diagnose and solve technical problems that are occurring with your computer. When you start a troubleshooter, you must answer a series of questions about the problem you are having. These answers help Windows find a solution to your problem.

There are several different troubleshooters, each one designed to solve a different type of problem. For a complete list of the Windows troubleshooters, click Related Topics.

To get the best results from the Windows troubleshooters, follow these guidelines:

  • Hide the navigation pane of Help and Support Center by clicking Change View on the Help toolbar. You can also resize the window by dragging the borders.
  • Follow the troubleshooter steps exactly. If you do not, you may miss critical information and limit the effectiveness of the troubleshooter.
  • Some troubleshooter steps require you to restart your computer or close the troubleshooter window. If this is required, you should write down (or remember) how you answered each question in the troubleshooter so you can return to the same location in the troubleshooter after your computer restarts or after you reopen the troubleshooter window.


Using the Microsoft Internet Explorer 6 resource kit

The Microsoft Internet Explorer 6 resource kit provides the technical information and tools needed to successfully customize, deploy, manage, and support Microsoft Internet Explorer 6. Look for the resource kit in your local bookstore, or see the Microsoft Internet Explorer 6 resource kit page on the Microsoft Web site (go to http://www.microsoft.com/ and search for "Internet Explorer 6 Resource Kit").

In addition to resource kit tools, look for resource kit documentation covering the following topics on the Microsoft Internet Explorer 6 resource kit Web page:

  • Setup and browser customization
  • Security
  • Platform support
  • Accessibility
  • Preparation tasks
  • Deployment
  • Package administration
  • System policies and restrictions
  • Troubleshooting
  • Training and support


Optional component specific

Microsoft Windows graphic

This information is not currently available

The information you are trying to locate only appears in the documentation provided with an optionally installed Windows component. That component must be installed before you can view this information.

Use Add or Remove Programs in Control Panel to install new Windows components. Follow the instructions that appear in the Window Components Wizard.


Write digital signature information to a log file

Microsoft Windows graphic

To write digital signature information to a log file

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Logging tab, select the Save the file signature verification results to a log file check box.
  4. Click one of the following:
    • Append to existing log file: Adds new search results to the end of an existing log file.
    • Overwrite existing log file: Replaces the existing log file with a new log file.
  5. In Log file name, type a name for the log file.

    6. When you use File Signature Verification to verify that system files are digitally signed, the search results are written to this file.

  6. Click OK, and then click Start.

Notes

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.
  • If you simply want to overwrite the log file, you can click Start, click Run, type sigverif /defscan, and then click OK.


Verify that system files have a digital signature

Microsoft Windows graphic

To verify that system files have a digital signature

  1. Open File Signature Verification.
  2. Click Start.

    File Signature Verification checks to see which system files and device driver files are digitally signed and displays its findings. If you have enabled logging, the search results are also written to a log file. XOX

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Check the digital signatures for system or non-system files

Microsoft Windows graphic

To check the digital signatures for system or non-system files

  1. Open File Signature Verification.
  2. Click Advanced.
  3. On the Search tab, click one of the following:
    • Notify me if any system files are not signed

      • Checks only the Windows system files and all device driver files to see if they have a digital signature.

    • Look for other files that are not digitally signed

      • Enables you to specify the file type and location of non-system files to check for a digital signature.

  4. Click OK, and then click Start.

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Using File Signature Verification

When installing new software on your computer, system files and device driver files are sometimes overwritten by unsigned or incompatible versions, causing system instability. The system files and device driver files provided with XOX and the Windows Server 2003 family of products have a Microsoft digital signature, which indicates that the files are original, unaltered system files or that they have been approved by Microsoft for use with Windows. Using File Signature Verification, you can identify unsigned files on your computer and view the following information about them:

  • The file's name
  • The file's location
  • The file's modification date
  • The file type
  • The file's version number

Open File Signature Verification.

Note

  • To start File Signature Verification, click Start, click Run, type sigverif, and then click OK.


Windows File Protection

In versions of Windows prior to Windows 2000, installing software in addition to the operating system might overwrite shared system files such as dynamic-link libraries (.dll files) and executable files (.exe files). When system files are overwritten, system performance becomes unpredictable, programs behave erratically, and the operating system fails.

In Windows 2000, XOX, and the Windows Server 2003 family of products, Windows File Protection prevents the replacement of protected system files such as .sys, .dll, .ocx, .ttf, .fon, and .exe files. Windows File Protection runs in the background and protects all files installed by the Windows Setup program.

Windows File Protection detects attempts by other programs to replace or move a protected system file. Windows File Protection checks the file's digital signature to determine if the new file is the correct Microsoft version. If the file is not the correct version, Windows File Protection either replaces the file from the backup stored in the Dllcache folder or from the Windows CD. If Windows File Protection cannot locate the appropriate file, it prompts you for the location. Windows File Protection also writes an event to the event log, noting the file replacement attempt.

By default, Windows File Protection is always enabled and allows Windows digitally signed files to replace existing files. Currently, signed files are distributed through:

  • Windows Service Packs
  • Hotfix distributions
  • Operating system upgrades
  • Windows Update
  • Windows Device Manager/Class Installer


Troubleshooting DirectX

You can diagnose and resolve DirectX problems using the DirectX Diagnostic Tool and the Multimedia and Games Troubleshooter. The DirectX Diagnostic Tool helps you test the functionality of DirectX, to diagnose problems, and to adjust the level of hardware support used by DirectX, which can be used to avoid issues on some multimedia drives. The DirectX Diagnostic Tool (Dxdiag.exe) is installed with DirectX and can be run by clicking Start, clicking Run, and then typing dxdiag. For information about using the DirectX Diagnostic Tool, click the Help button in the DirectX Diagnostic Tool.

  • Open the DirectX Diagnostic Tool.

The Multimedia and Games Troubleshooter assists you in diagnosing and repairing problems with DirectX drivers and games.

  • Open the Multimedia and Games Troubleshooter.


Information and support on the Web

The following list contains links to Web sites that provide more information about Windows.

Windows home page

The latest information about Windows.

Windows home page (http://www.microsoft.com/windows)

Online product support

Additional technical information about Windows.

Online product support (http://www.microsoft.com/support)

Downloads

System updates, device drivers, and new Windows features from Windows Update.

Windows Update (http://windowsupdate.microsoft.com)

Product compatibility

A list of products that are compatible with Windows.

Product compatibility (http://www.microsoft.com/windows)

Deployment

Windows technical deployment guides.

Deployment (http://www.microsoft.com/windows)

Resource Kit

Windows Resource Kit Web sites.

Resource Kit (http://windows.microsoft.com/windows2000/reskit)

Accessibility

Information about accessibility resources.

Accessibility (http://www.microsoft.com/enable)


What is DirectX?

Windows Microsoft DirectX is a set of low-level application programming interfaces (APIs) that enables Microsoft Windows programs to include fast and powerful multimedia features. DirectX provides access to your display and audio cards, enabling your programs to offer realistic three-dimensional (3-D) graphics and immersive music and audio effects.

DirectX enables a program to determine the hardware capabilities of your computer, and then sets the program parameters to match. This makes it possible for multimedia programs to run on any Windows-based computer that contains hardware and drivers compatible with DirectX. It also ensures that multimedia programs take full advantage of your high-performance hardware.

DirectX contains a set of APIs that provide access to the advanced features of high-performance hardware, such as 3-D graphics acceleration chips and sound cards. These APIs control low-level functions, including two-dimensional (2-D) graphics acceleration; support for input devices such as joysticks, keyboards, and mice; networking for multiplayer games; and control of sound mixing and sound output. The low-level functions are supported by these components that make up DirectX:

Microsoft DirectX Graphics

DirectX Graphics combines the Microsoft DirectDraw and Microsoft Direct3D components of previous DirectX versions into a single API that you can use for all graphics programming. The component includes the Direct3DX utility library that simplifies many graphics programming tasks. DirectX Graphics provides a device-independent way for software programs to communicate with accelerator hardware efficiently and powerfully.

Microsoft DirectAudio

DirectX Audio combines the Microsoft DirectSound and Microsoft DirectMusic components of previous DirectX versions into a single API that you can use for all audio programming. DirectX Audio provides software developers with the ability to create immersive, dynamic soundtracks that respond to a variety of changes in the software environment, not the least of which is direct user input.

Microsoft DirectInput

The Microsoft DirectInput API provides advanced input for games and processes input from joysticks, as well as from other related devices including the mouse, keyboard, and force-feedback game controllers.

Microsoft DirectPlay

The Microsoft DirectPlay API supports game connections over a modem, the Internet, or a local area network (LAN). DirectPlay simplifies access to communication services and provides a way for games to communicate with each other, independent of the protocol or online service. DirectPlay provides lobbying services that simplify the initialization of a multiplayer game, and supports reliable communication protocols to ensure that important game data is not lost on the network. DirectPlay also supports voice communication over the network.

Microsoft DirectShow

The Microsoft DirectShow API provides high-quality capture and playback of multimedia files located on your computer and on Internet servers. DirectShow supports a wide variety of audio and video formats, including Advanced Streaming Format (ASF), Audio-Video Interleaved (AVI), digital video (DV), Motion Picture Experts Group (MPEG), MPEG Audio Layer-3 (MP3), Windows Media Audio/Video (WMA/WMV), and WAV files. DirectShow enables video capture, digital video disc (DVD) playback, video editing and mixing, hardware accelerated video decoding, and tuning of broadcast analog and digital television signals.

Microsoft DirectSetup

The Microsoft DirectSetup API provides simple, one-call installation of the DirectX components.


Create an MS-DOS startup disk

Microsoft Windows graphic

To create an MS-DOS startup disk

The MS-DOS startup disk you create will allow you to boot into MS-DOS.

  1. Insert a floppy disk into your computer's floppy drive.
  2. Open My Computer, and then click the floppy disk drive to select it.
  3. On the File menu, point to the name of the floppy drive, and then click Format.
  4. Under Format options, click Create an MS-DOS startup disk.
  5. Click Start.

Important

  • Creating an MS-DOS startup disk erases all information on the floppy disk.

Notes

  • XOX
  • The MS-DOS startup disk only allows the system to boot into an MS-DOS prompt. The disk contains no additional tools.


Format a disk

Microsoft Windows graphic

To format a disk

  1. If the disk you want to format is a floppy disk, insert it into its drive. Otherwise, skip to step 2.
  2. Open My Computer, and then click the disk you want to format.
  3. On the File menu, point to the name of the floppy drive, and then click Format.
  4. Specify the following options:
    • Capacity
    • File system
    • Allocation unit size
    • Volume label
    • Quick Format
    • Enable Compression (NTFS only)
    • Create an MS-DOS startup disk
  5. Click Start.

Important

  • Formatting a disk erases all information on that disk.

Notes

  • XOX
  • Quick Format removes files from the disk without scanning the disk for bad sectors. Use this option only if the disk has been previously formatted, and you are sure the disk is not damaged. For information about any of the options, click the question mark in the upper-right corner of the Format dialog box, and then click the option.
  • You cannot format a disk if files are open on the disk, the contents of the disk are displayed, or the disk contains the system or boot partition.
  • You can also format a disk by using Disk Management. XOX


Determine how much space is available on a disk

Microsoft Windows graphic

To determine how much space is available on a disk

  1. Open My Computer.
  2. Point to the disk you want to check. The total disk capacity and the amount of free space will appear as a tool tip.

Notes

  • XOX
  • If the status bar is visible, the amount of free space appears in the status bar at the bottom of the screen. If you cannot see the free space, drag the right side of the window to enlarge it. To view the status bar, on the View menu, click Status Bar.
  • You can also view the free space and other disk properties by right-clicking the disk and then clicking Properties.


Name a disk

Microsoft Windows graphic

To name a disk

  1. Open My Computer, and then click the disk you want to name.
  2. On the File menu, click Properties.
  3. Type a name for the disk in the field following the disk icon.

Notes

  • XOX
  • To change an existing label, select it, and then type a new name.
  • If your computer uses the FAT file system, the label can contain up to 11 characters. If your computer uses NTFS, the limit is 32 characters.


Choosing a program to write a document

You should pick your program based on how complicated your document is. What kind of formatting do you need? Does the document include graphics or tables? Will people using other operating systems need to open or modify it? How large is the document? Are you creating a Web page?

Windows includes two word processing programs: Notepad and WordPad. Each provides basic text editing capability, but you may have tasks that are better suited for one editor than the other.

Decide whether your document needs any of the following before you choose an editor.

Text formatting

Notepad provides only the most basic text formatting. You can specify a font and insert tabs. The font applies to the whole document, not an individual paragraph or word, and it is not saved with the file. If someone else looks at the file on another computer, that person will see whatever font is available.

WordPad allows you to create more complex documents, giving you most of the capability of a word processor. You can change the font for the entire document or just a word within it. With the click of a button, you can insert bullets into text in WordPad or align a paragraph to the right or left. All of this formatting is saved with your document, so no matter who opens it, it will appear as you created it.

Word processors provide even more text formatting options, such as automatically numbering lines of text, creating columns, or inserting frames.

Tables

If you plan to use tables in your file, you should probably create the document using a word processor. You can create a table in a Notepad or WordPad document, but you must count characters or insert tabs to align the columns. Most word processors will separate the columns and rows and automatically wrap text within columns.

Graphics

Notepad does not support graphics. You can insert graphics into a WordPad document and modify them by linking or embedding them in your document. Almost all word processors provide graphics support.

Page setup

Basic page setup is available with both Notepad and WordPad. You can set margins, add headers and footers, and orient your documents to print either vertically or horizontally. Your word processor may offer more options.

Large documents

The more elaborate the document, the longer it will take to open and modify. Notepad and WordPad are both compact programs that start and open files quickly, and work best when used with smaller files.

Word processors are intended for larger, more elaborate documents. A word processor gives you more control over your documents than Notepad or WordPad. Often you can add footnotes, annotations, and even generate a table of contents for your documents. Many word processors offer macros and templates to help you automate repetitive tasks, such as typing your name or formatting headings. Usually word processors will automatically check the spelling and grammar in your document.

Cross-operating system support

Notepad is a basic text editor that is most commonly used to view or edit .txt files, such as the Readme.txt files provided with your Windows software. Text-only files are critical if you share documents with someone using another operating system such as Macintosh or UNIX. WordPad also allows you to save your files as a Word document, so you can modify files created in Word even if you don't have the program yourself.

Multiple languages

WordPad and Notepad allow you to save your files in different formats, such as Unicode, providing you greater flexibility when working with documents that use different character sets or documents created by other programs.

Most word processors also allow you to save your files in a variety of formats. Some provide support for multiple languages, even including several dictionaries for checking spelling. In WordPad, documents that use multiple languages should be saved in rich text format (.rtf).

HTML and Web pages

Many people who use HTML to create Web pages or other documents find Notepad a useful tool for writing in HTML. Because Notepad supports only very basic formatting, you cannot accidentally save special formatting in documents that need to remain pure text. This is especially useful when creating HTML documents for a Web page because special characters or other formatting may not appear in your published Web page or may even cause errors.

Many word processors provide additional tools or converters to help you create HTML documents. But, if you are creating simple pages or if you want to make a few quick changes, Notepad opens files quickly. Also, Notepad shows all of the HTML tags so you can troubleshoot your page. Not all word processors or converters make the HTML code available.

If you only need to create simple documents, Notepad is your best choice. Click here to open Notepad. You need to use WordPad or another word processor for anything more complicated. Click here to open WordPad.

Notes

  • XOX
  • XOX
  • For information about using Notepad, click the Help menu in Notepad. For information about using WordPad, click the Help menu in WordPad.